Bug 1026922 - Review Request: ramond - Router advertisement monitoring daemon
Review Request: ramond - Router advertisement monitoring daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 11:23 EST by Petr Pisar
Modified: 2013-12-23 10:56 EST (History)
4 users (show)

See Also:
Fixed In Version: ramond-0.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-23 10:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-11-05 11:23:56 EST
Spec URL: http://ppisar.fedorapeople.org/ramond/ramond.spec
SRPM URL: http://ppisar.fedorapeople.org/ramond/ramond-0.5-1.fc19.src.rpm
Description:
This program monitors IPv6 networks for router advertisements. When an
advertisement is received, a configurable action occurs.

Fedora Account System Username: ppisar
Comment 1 Michael Scherer 2013-11-16 10:04:54 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- the patch should be sent upstream, with a comment. but given upstream seems dormant and the patch is justified, i will not block on this, and accept the package.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in
     /home/misc/checkout/git/FedoraReview/1026922-ramond/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ramond-0.5-1.fc20.x86_64.rpm
          ramond-0.5-1.fc20.src.rpm
ramond.x86_64: W: only-non-binary-in-usr-lib
ramond.x86_64: W: no-manual-page-for-binary ramond
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ramond
ramond.x86_64: W: only-non-binary-in-usr-lib
ramond.x86_64: W: no-manual-page-for-binary ramond
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ramond (rpmlib, GLIBC filtered):
    /bin/sh
    config(ramond)
    libapr-1.so.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libm.so.6()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
ramond:
    config(ramond)
    ramond
    ramond(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/ramond/ramond-0.5.tar.bz2 :
  CHECKSUM(SHA256) this package     : b65d6706b537f4a1807716ed96e53b5813191593bbf4d7137d8eb069abe9c342
  CHECKSUM(SHA256) upstream package : b65d6706b537f4a1807716ed96e53b5813191593bbf4d7137d8eb069abe9c342


Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Command line :./try-fedora-review -b 1026922
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Christopher Meng 2013-11-16 10:14:05 EST
Advice: You can move %global to the top so it will look more like global ;)
Comment 3 Michael Scherer 2013-11-16 10:37:31 EST
I also have a selinux policy for ramond, but I am not sure how we should handle the fact this can and should run commands ( ie, what kind of access should the command have )
Comment 4 Petr Pisar 2013-11-18 11:59:20 EST
I've already sent the patch to the maintainer. Though without any response so far.

I guess preventing execve() by SELinux is not a good idea.
Comment 5 Petr Pisar 2013-11-18 12:00:22 EST
New Package SCM Request
=======================
Package Name: ramond
Short Description: Router advertisement monitoring daemon
Owners: ppisar
Branches: f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-11-18 12:52:56 EST
Git done (by process-git-requests).
Comment 7 Petr Pisar 2013-11-19 02:29:39 EST
Maybe we could introduce a new file type which ramond would only be allowed to execute. Then the user would declare assign the file type label to a script of his choice. And that script would be allowed to execute anything.

Or even we could predefine such a script file and mark it as a configuration file.
Comment 8 Petr Pisar 2013-11-19 02:47:31 EST
Thank you for the review and the repository.
Comment 9 Fedora Update System 2013-11-19 02:52:19 EST
ramond-0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ramond-0.5-1.fc20
Comment 10 Fedora Update System 2013-11-19 02:52:42 EST
ramond-0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ramond-0.5-1.fc19
Comment 11 Fedora Update System 2013-12-01 04:37:22 EST
ramond-0.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-12-13 22:45:45 EST
ramond-0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.